#ifndef HOSTCACHECONNECTION_H
#define HOSTCACHECONNECTION_H

#include <qthread.h>
#include "Pong.h"
#include <list>

class HostCache;

class HostCacheConnection : public QThread
{
 public:
  HostCacheConnection(int socket, HostCache* parent, std::list<Pong>& ponglist);

  virtual void run();

 private:
  HostCache*        _parent;
  int               _socket;
  std::list<Pong>   _ponglist;
  static QMutex     _mutex;
};

#endif
