#include "Icon.h"
#include <qimage.h>
#include <string>

Icon*     Icon::_instance = NULL;
QPixmap*  Icon::_remove = NULL;
QPixmap*  Icon::_green_ball = NULL;
QPixmap*  Icon::_yellow_ball = NULL;
QPixmap*  Icon::_red_ball = NULL;
QPixmap*  Icon::_grey_ball = NULL;
QPixmap*  Icon::_smile = NULL;
QPixmap*  Icon::_green_smile = NULL;

Icon::Icon()
{
  QImage remove( (std::string(PIXMAP_DIR) + "/remove.xpm").c_str() );
  _remove = new QPixmap();
  _remove->convertFromImage(remove);

  QImage green( (std::string(PIXMAP_DIR) + "/ball_g.xpm").c_str() );
  _green_ball = new QPixmap();
  _green_ball->convertFromImage(green);

  QImage yellow( (std::string(PIXMAP_DIR) + "/ball_y.xpm").c_str() );
  _yellow_ball = new QPixmap();
  _yellow_ball->convertFromImage(yellow);

  QImage red( (std::string(PIXMAP_DIR) + "/ball_r.xpm").c_str() );
  _red_ball = new QPixmap();
  _red_ball->convertFromImage(red);

  QImage grey( (std::string(PIXMAP_DIR) + "/ball_d.xpm").c_str() );
  _grey_ball = new QPixmap();
  _grey_ball->convertFromImage(grey);

  QImage smile( (std::string(PIXMAP_DIR) + "/smile.xpm").c_str() );
  _smile = new QPixmap();
  _smile->convertFromImage(smile);

  QImage green_smile( (std::string(PIXMAP_DIR) + "/gsmile.xpm").c_str() );
  _green_smile = new QPixmap();
  _green_smile->convertFromImage(green_smile);
}

Icon* Icon::getInstance()
{
  if(!_instance) return _instance = new Icon();
  return _instance;
}

QPixmap* Icon::getRemove()
{
  return _remove;
}

QPixmap* Icon::getGreenBall()
{
  return _green_ball;
}

QPixmap* Icon::getYellowBall()
{
  return _yellow_ball;
}

QPixmap* Icon::getRedBall()
{
  return _red_ball;
}

QPixmap* Icon::getGreyBall()
{
  return _grey_ball;
}

QPixmap* Icon::getSmile()
{
  return _smile;
}

QPixmap* Icon::getGreenSmile()
{
  return _green_smile;
}
